### Method

# Ide Application open_project_finish

#### Declaration

    IdeWorkbench*
    ide_application_open_project_finish (
      IdeApplication* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes a request to open a project.

The workbench containing the project is returned, which may be an existing workbench if the project was already opened.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeWorkbench`
| An `IdeWorkbench` or `NULL` on failure and `error` is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.